<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Parametros REST & Operador SPREAD</title>
</head>

<body>
<h1>Parametros REST & Operador SPREAD</h1>    
<script>
    function suma(a,b, ...c) {
        let resultado = a + b;
        c.forEach( function (parametro){
            resultado += parametro;
        })        
        return resultado;
    }

    let resultado = suma(5,5);
    console.log(resultado);
    console.log("=====================");
    console.log(suma(4,7,1,8,80,90));
    console.log("=====================");

    //Operador spread

    const abc1 = ["a", "b", "c", "d", "e",];
    const abc2 = ["f", "g", "h", "i", "j"];
    console.log(abc1 + abc2);
    let abc3 = abc1 + abc2;
    console.log(typeof abc3);
    console.log(abc3);
    let abc4 = [...abc1, ...abc2];
    console.log(abc4);


</script>
</body>
</html>